package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DpianificFerieAmmtoCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 2866408319L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdDpianificFerieAmmto;

	private StringFilter codiPianificazioneFerie;

	private StringFilter descPianificazioneFerie;

	private LongFilter fkEsitoRichAdesionePf;

	private LongFilter fkStatoPianificFerie;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER
	private String theDstatiPianificFerieObjectKey;
	private String theDesitiRichAdesionePfObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdDpianificFerieAmmto
	 */
	public LongFilter getSequIdDpianificFerieAmmto() {
		return this.sequIdDpianificFerieAmmto;
	}

	/**
	 * @param sequIdDpianificFerieAmmto to set
	 */
	public void setSequIdDpianificFerieAmmto(LongFilter sequIdDpianificFerieAmmto) {
		this.sequIdDpianificFerieAmmto = sequIdDpianificFerieAmmto;
	}

	/**
	 * @return the codiPianificazioneFerie
	 */
	public StringFilter getCodiPianificazioneFerie() {
		return this.codiPianificazioneFerie;
	}

	/**
	 * @param codiPianificazioneFerie to set
	 */
	public void setCodiPianificazioneFerie(StringFilter codiPianificazioneFerie) {
		this.codiPianificazioneFerie = codiPianificazioneFerie;
	}

	/**
	 * @return the descPianificazioneFerie
	 */
	public StringFilter getDescPianificazioneFerie() {
		return this.descPianificazioneFerie;
	}

	/**
	 * @param descPianificazioneFerie to set
	 */
	public void setDescPianificazioneFerie(StringFilter descPianificazioneFerie) {
		this.descPianificazioneFerie = descPianificazioneFerie;
	}

	/**
	 * @return the fkEsitoRichAdesionePf
	 */
	public LongFilter getFkEsitoRichAdesionePf() {
		return this.fkEsitoRichAdesionePf;
	}

	/**
	 * @param fkEsitoRichAdesionePf to set
	 */
	public void setFkEsitoRichAdesionePf(LongFilter fkEsitoRichAdesionePf) {
		this.fkEsitoRichAdesionePf = fkEsitoRichAdesionePf;
	}

	/**
	 * @return the fkStatoPianificFerie
	 */
	public LongFilter getFkStatoPianificFerie() {
		return this.fkStatoPianificFerie;
	}

	/**
	 * @param fkStatoPianificFerie to set
	 */
	public void setFkStatoPianificFerie(LongFilter fkStatoPianificFerie) {
		this.fkStatoPianificFerie = fkStatoPianificFerie;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDstatiPianificFerieObjectKey() {
		return theDstatiPianificFerieObjectKey;
	}

	public void setTheDstatiPianificFerieObjectKey(String theDstatiPianificFerieObjectKey) {
		this.theDstatiPianificFerieObjectKey = theDstatiPianificFerieObjectKey;
	}

	public String getTheDesitiRichAdesionePfObjectKey() {
		return theDesitiRichAdesionePfObjectKey;
	}

	public void setTheDesitiRichAdesionePfObjectKey(String theDesitiRichAdesionePfObjectKey) {
		this.theDesitiRichAdesionePfObjectKey = theDesitiRichAdesionePfObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
